summaryrefslogtreecommitdiff
path: root/.local/bin/setbg
diff options
context:
space:
mode:
authorGustaf Rydholm <gustaf.rydholm@gmail.com>2021-05-27 21:11:39 +0200
committerGustaf Rydholm <gustaf.rydholm@gmail.com>2021-05-27 21:11:39 +0200
commit8e97cff50b77a5c381447e675ea448865aa69d74 (patch)
tree0334953d72201a7987d41d0df8d2ea9f1b06c76a /.local/bin/setbg
parent5f6c5f827e1789f27339e2f0e63d298cecb039d8 (diff)
Bug fix in PATH export, added some of Luke's scripts
Diffstat (limited to '.local/bin/setbg')
-rwxr-xr-x.local/bin/setbg16
1 files changed, 16 insertions, 0 deletions
diff --git a/.local/bin/setbg b/.local/bin/setbg
new file mode 100755
index 0000000..8eeecfe
--- /dev/null
+++ b/.local/bin/setbg
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# This script does the following:
+# Run by itself, set the wallpaper (at X start).
+# If given a file, set that as the new wallpaper.
+
+## Location of link to wallpaper link.
+bgloc="${XDG_DATA_HOME:-$HOME/.local/share/}/wallpaper"
+
+trueloc="$(readlink -f "$1")" &&
+case "$(file --mime-type -b "$trueloc")" in
+ image/* ) ln -sf "$(readlink -f "$1")" "$bgloc" && notify-send -i "$bgloc" "Changing wallpaper..." ;;
+ *) notify-send "Error" "Not a valid image." ; exit 1;;
+esac
+
+xwallpaper --zoom "$bgloc"